Assignee:
Affected QGIS version:2.6.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 19875

Description

Hello!

When i use the new 2.6 Brighton feature "selecting an object between some layers through righ click" the programme uses to crash. I see

3 different cases:

1_ It crashes after showing this message: "bad allocation"

2_ It crashes after showing this message (spanish and english): "Volcado fallido: la escritura del minivolcado a

C:\\Users\\xxxxx\\AppData\\Local\\Temp\\qgis-20141112-105056-2980-3304-exported.dmp falló (80070008)" In english should be

something like: "memory dump failed: writting minidump to

C:\\Users\\xxxxx\\AppData\\Local\\Temp\\qgis-20141112-105056-2980-3304-exported.dmp failed (80070008)"

3_ Sometimes it just crashes without any message.

I'm very surprised with this issue because with 2.4 version "Chugiak" i did never (and i really mean never) suffer a programme crash. I

used to love QGIS for that!

Thanks for all your work and support,

Alex

History

#1 - 2014-11-12 02:35 AM - Giovanni Manghi

- Status changed from Open to Feedback

are you working within a project originally made in qgis 2.4?

anyway it is not clear to me what is the operation I would need to replicate the issue, can you detail more and add sample data? thanks!

#2 - 2014-11-12 02:36 AM - Giovanni Manghi

- Category changed from GUI to Map Canvas

- Priority changed from Normal to High

#3 - 2014-11-12 04:47 AM - Alex Medina

- File Figure_00.jpg added

- File Figure_02.jpg added
- File Figure_01.jpg added

Hi Giovanni! Thanx for your answer.

Yes, i'm working with a qgis 2.4 project but opened and saved in qgis 2.6.

Ok, trying to be more clear:

When i use "spatial object identification" (see Figure_00.jpg attached), and click right button over an object (Figure_01.jpg) the programme crashes as i

explained before.

Figure_02 is case 3 (crashes without any message)

Hope i've been more clear this time!

Thanks a lot

#4 - 2015-12-27 04:11 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

there was an issue (causing a crash) with the right click identify on map canvas, but this was solved around the time this ticket was filed (but that I can't find

it right now). I believe this could be the same thing, so I'm closing it as it does not seems replicable in the latest qgis releases.

Please reopen if is not the case.
